Package org.eclipse.jgit.api.errors

## Class RejectCommitException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.api.errors.GitAPIException
      - - org.eclipse.jgit.api.errors.RejectCommitException

All Implemented Interfaces:
  `Serializable`

    public class RejectCommitException
    extends GitAPIException

Exception thrown when a commit is rejected by a hook (either `pre-commit` or `commit-msg`).

Since:
  3.7
See Also:
  Serialized Form

### Constructor Summary

Constructors
`RejectCommitException​(String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RejectCommitException

    public RejectCommitException​(String message)

Parameters:
  `message` -